import 'package:flutter/cupertino.dart';

/// Construct a color from a hex code string, of the format #RRGGBB.
Color hexToColor(String code) {
  try {
    return Color(int.parse(code.substring(1, 7), radix: 16) + 0xFF000000);
  } on Error {
    throw Exception("Wrong format of hex color (#RRGGBB): $code");
  }
}
